#include <bits/stdc++.h>

using namespace std;

const int T = 10000;
int dp[T + 1] = {0};

int main(){
   int n; cin >> n;
   int t; cin >> t;
   vector<int> nums(n);
   for (int i = 0; i < n; i++) cin >> nums[i];

   dp[0] = 1;
   for (int i = 0; i < n; i++) {
      for (int j = t - nums[i]; j >= 0; j--) {
         if (dp[j]) {
            dp[j + nums[i]] = 1;
         }
      }
      if (dp[t]) {
         cout << "PERFEITO!" << endl;
         return 0;
      }
   }

   cout << "IMPOSSIVEL!" << endl;

   return 0;
}